API for ErpHub
API Reference
/- Creates a new bookkeeping rule for the specified client. The rule defines how transactions are processed and mapped to generate vouchers based on the client's requirements.
Deletes a specific bookkeeping rule for the specified client.
The rule to delete is identified by its unique rule ID.
Retrieves the details of a specific bookkeeping rule for the specified client.
This rule is identified by its unique rule ID.
Updates the details of an existing bookkeeping rule for the specified client.
The rule to update is identified by its unique rule ID.
Replaces the existing transaction filters of a specific bookkeeping rule for the given client.
The rule is identified by its unique rule ID.
All current filters will be removed and replaced with the filters provided in the request body.
CreateBookkeepingSetting
GetBookkeepingSettings
UpdateBookkeepingSetting
DeleteBookkeepingSetting
GetBookkeepingSetting
Creates a new bookkeeping rule for the specified client. The rule defines how transactions
are processed and mapped to generate vouchers based on the client's requirements.
Retrieves the list of bookkeeping rules for a specified client.
This endpoint returns all bookkeeping rules associated with the provided client ID.
Each rule includes details such as the rule's ID, priority, and conditions.
Retrieves the details of a specific bookkeeping rule for the specified client.
This rule is identified by its unique rule ID.
Updates the details of an existing bookkeeping rule for the specified client.
The rule to update is identified by its unique rule ID.
Deletes a specific bookkeeping rule for the specified client.
The rule to delete is identified by its unique rule ID.
Updates the priority for all bookkeeping rules associated with the specified client.
All rules must be included in the request, identified by their unique rule IDs.
Missing or unknown rules will result in a validation error.
Replaces the existing transaction filters of a specific bookkeeping rule for the given client.
The rule is identified by its unique rule ID.
All current filters will be removed and replaced with the filters provided in the request body.
Replaces the existing transaction units of a specific bookkeeping rule for the given client.
The rule is identified by its unique rule ID.
All current units will be removed and replaced with the units provided in the request body.
Replaces the existing transaction units of a specific bookkeeping rule for the given client.
The rule is identified by its unique rule ID.
All current units will be removed and replaced with the units provided in the request body.
Creates a new bookkeeping...
ErpHub API (1)
Download OpenAPI description
Overview
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi
ErpHub API
https://erphub-api.aritma.io
ErpHub API (Dev)
https://erphub-api.dev.aritma.io
Body
- application/json
- text/json
- application/*+json
Indicates whether transaction filters should be applied after matching, specifically to transactions not matched during the initial matching process.
- Mock serverhttps://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi/api/v1/clients/{clientId}/bookkeeping/matching-rules
- ErpHub APIhttps://erphub-api.aritma.io/api/v1/clients/{clientId}/bookkeeping/matching-rules
- ErpHub API (Dev)https://erphub-api.dev.aritma.io/api/v1/clients/{clientId}/bookkeeping/matching-rules
- Payload
- cURL
- C#
- JavaScript
- Python
- Go
- PHP
- Java
- Java 8
- application/json
- text/json
- application/*+json
{ "displayName": "string", "autoUpdate": true, "applyTransactionFilterAfterMatching": true, "filters": [ { … } ] }
Response
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac" }
- Mock serverhttps://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi/api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId}
- ErpHub APIhttps://erphub-api.aritma.io/api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId}
- ErpHub API (Dev)https://erphub-api.dev.aritma.io/api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId}
- Payload
- cURL
- C#
- JavaScript
- Python
- Go
- PHP
- Java
- Java 8
No request payload- Mock serverhttps://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi/api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId}
- ErpHub APIhttps://erphub-api.aritma.io/api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId}
- ErpHub API (Dev)https://erphub-api.dev.aritma.io/api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId}
- Payload
- cURL
- C#
- JavaScript
- Python
- Go
- PHP
- Java
- Java 8
No request payloadResponse
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac", "priority": 0, "minMatchingFilters": 0, "transactionPostingMode": "CombineIntoSingleVoucher", "createdAt": "2019-08-24T14:15:22Z", "lastUpdatedAt": "2019-08-24T14:15:22Z", "filters": [ { … } ] }